Subject: Re: bug#12877: Autoconf, GNU m4 and POSIXLY_CORRECT

From: "Sebastian Freundt" <[email-masked]>
Date: Wed, 14 Nov 2012 11:24:33 +0000

"Stefano Lattarini" <[email-masked]> writes:

> tags 12877 - moreinfo
> tags 12877 notabug
> close 12877
> thanks
>
> On 11/14/2012 12:09 PM, Sebastian Freundt wrote:
>>
>> "Stefano Lattarini" <[email-masked]> writes:
>>> 
>>> On 11/14/2012 07:45 AM, Sebastian Freundt wrote:
>>>>
>>>> (GNU) m4 when being called with the variable POSIXLY_CORRECT behaves
>>>> differently as all GNU extensions will be suppressed.
>>>>
>>> Modern autoconf versions used with modern GNU m4 versions should pass
>>> the latter the '-g' option, so that the POSIXLY_CORRECT variable does
>>> not have any effect on the behaviour of GNU m4.  Which versions of
>>> autoconf and m4 are you using?
>>>
>> 
>> freundt@clyde:pts/30:~> autoconf --version
>> autoconf (GNU Autoconf) 2.69
>> Copyright (C)  Free Software Foundation, Inc.
>> License GPLv3+/Autoconf: GNU GPL version 3 or later
>> <http://gnu.org/licenses/gpl.html>, <http://gnu.org/licenses/exceptions.html>
>> This is free software: you are free to change and redistribute it.
>> There is NO WARRANTY, to the extent permitted by law.
>> 
>> Written by David J. MacKenzie and Akim Demaille.
>>
> Modern enough I'd say :-)
>
>> freundt@clyde:pts/30:~> m4 --version
>> m4 (GNU M4) 1.9a.574-8613
>> Copyright (C) 2010 Free Software Foundation, Inc.
>> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
>> This is free software: you are free to change and redistribute it.
>> There is NO WARRANTY, to the extent permitted by law.
>> 
>> Written by Rene' Seindal, Gary V. Vaughan, and Eric Blake.
>> 
> Ha, here lies the problem.  According to the m4 NEWS file, the '-g' option
> has only been introduced in version 1.4.12.  I'd suggest you to update
> your m4 installation to the latest if possible.
>
> In the meanwhile, I'm closing this report, since we've determined your
> problem is not due to an automake or aclocal bug.

Yes, I will report this issue to the m4 guys.  
1.9a has the -g switch and is newer than 1.4 anyway.

Cheers
Sebastian